// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package base

import (
	"LAPP_ACURA_MOM_BACKEND/grmi"
	model "LAPP_ACURA_MOM_BACKEND/models/base"
)

/******************************************************************************
 *
 * @Description              : Article的字段元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-06 15:52:37
 *
 ******************************************************************************/
var Article_PlantNr = grmi.NewField("PlantNr", "Article.PlantNr", "plantnr", grmi.TypeInt)
var Article_ArtId = grmi.NewField("ArtId", "Article.ArtId", "artid", grmi.TypeString)
var Article_Descr1 = grmi.NewField("Descr1", "Article.Descr1", "descr1", grmi.TypeString)
var Article_Descr2 = grmi.NewField("Descr2", "Article.Descr2", "descr2", grmi.TypeString)
var Article_ArtTypeId = grmi.NewField("ArtTypeId", "Article.ArtTypeId", "arttypeid", grmi.TypeString)
var Article_ProjectId = grmi.NewField("ProjectId", "Article.ProjectId", "projectid", grmi.TypeString)
var Article_CustArtId = grmi.NewField("CustArtId", "Article.CustArtId", "custartid", grmi.TypeString)
var Article_AlternativeArtId = grmi.NewField("AlternativeArtId", "Article.AlternativeArtId", "alternativeartid", grmi.TypeString)
var Article_PlanResourceGroupId = grmi.NewField("PlanResourceGroupId", "Article.PlanResourceGroupId", "planresourcegroupid", grmi.TypeString)
var Article_PlanResourceId = grmi.NewField("PlanResourceId", "Article.PlanResourceId", "planresourceid", grmi.TypeString)
var Article_UsedResourceId = grmi.NewField("UsedResourceId", "Article.UsedResourceId", "usedresourceid", grmi.TypeString)
var Article_UomId = grmi.NewField("UomId", "Article.UomId", "uomid", grmi.TypeString)
var Article_PlanScrapRate = grmi.NewField("PlanScrapRate", "Article.PlanScrapRate", "planscraprate", grmi.TypeFloat64)
var Article_RatePerHourToggle = grmi.NewField("RatePerHourToggle", "Article.RatePerHourToggle", "rateperhourtoggle", grmi.TypeBool)
var Article_TimePerItemToggle = grmi.NewField("TimePerItemToggle", "Article.TimePerItemToggle", "timeperitemtoggle", grmi.TypeBool)
var Article_TimePerBatchToggle = grmi.NewField("TimePerBatchToggle", "Article.TimePerBatchToggle", "timeperbatchtoggle", grmi.TypeBool)
var Article_BatchTimeFieldToggle = grmi.NewField("BatchTimeFieldToggle", "Article.BatchTimeFieldToggle", "batchtimefieldtoggle", grmi.TypeBool)
var Article_OpTimePerItem = grmi.NewField("OpTimePerItem", "Article.OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var Article_BatchTime = grmi.NewField("BatchTime", "Article.BatchTime", "batchtime", grmi.TypeFloat64)
var Article_QuantityPerHour = grmi.NewField("QuantityPerHour", "Article.QuantityPerHour", "quantityperhour", grmi.TypeFloat64)
var Article_MidBatchQuantity = grmi.NewField("MidBatchQuantity", "Article.MidBatchQuantity", "midbatchquantity", grmi.TypeInt)
var Article_MidBatchTime = grmi.NewField("MidBatchTime", "Article.MidBatchTime", "midbatchtime", grmi.TypeDateTime)
var Article_EffectiveOpTime = grmi.NewField("EffectiveOpTime", "Article.EffectiveOpTime", "effectiveoptime", grmi.TypeFloat64)
var Article_BatchingMethod = grmi.NewField("BatchingMethod", "Article.BatchingMethod", "batchingmethod", grmi.TypeInt)
var Article_DeliveryBuffer = grmi.NewField("DeliveryBuffer", "Article.DeliveryBuffer", "deliverybuffer", grmi.TypeFloat64)
var Article_Icon = grmi.NewField("Icon", "Article.Icon", "icon", grmi.TypeString)
var Article_DisplayColor = grmi.NewField("DisplayColor", "Article.DisplayColor", "displaycolor", grmi.TypeString)
var Article_Document = grmi.NewField("Document", "Article.Document", "document", grmi.TypeString)
var Article_DefaultRoute = grmi.NewField("DefaultRoute", "Article.DefaultRoute", "defaultroute", grmi.TypeString)
var Article_DefaultInspectPlanId = grmi.NewField("DefaultInspectPlanId", "Article.DefaultInspectPlanId", "defaultinspectplanid", grmi.TypeString)
var Article_LotSize = grmi.NewField("LotSize", "Article.LotSize", "lotsize", grmi.TypeFloat64)
var Article_PickingToggle = grmi.NewField("PickingToggle", "Article.PickingToggle", "pickingtoggle", grmi.TypeBool)
var Article_ABCClass = grmi.NewField("ABCClass", "Article.ABCClass", "abcclass", grmi.TypeString)
var Article_ArtSize1 = grmi.NewField("ArtSize1", "Article.ArtSize1", "artsize1", grmi.TypeString)
var Article_ArtSize2 = grmi.NewField("ArtSize2", "Article.ArtSize2", "artsize2", grmi.TypeString)
var Article_ArtSize3 = grmi.NewField("ArtSize3", "Article.ArtSize3", "artsize3", grmi.TypeString)
var Article_ArtSize4 = grmi.NewField("ArtSize4", "Article.ArtSize4", "artsize4", grmi.TypeString)
var Article_ArtSize5 = grmi.NewField("ArtSize5", "Article.ArtSize5", "artsize5", grmi.TypeString)
var Article_ArtSpec1 = grmi.NewField("ArtSpec1", "Article.ArtSpec1", "artspec1", grmi.TypeString)
var Article_ArtSpec2 = grmi.NewField("ArtSpec2", "Article.ArtSpec2", "artspec2", grmi.TypeString)
var Article_ArtSpec3 = grmi.NewField("ArtSpec3", "Article.ArtSpec3", "artspec3", grmi.TypeString)
var Article_ArtSpec4 = grmi.NewField("ArtSpec4", "Article.ArtSpec4", "artspec4", grmi.TypeString)
var Article_ArtSpec5 = grmi.NewField("ArtSpec5", "Article.ArtSpec5", "artspec5", grmi.TypeString)
var Article_PickingFlag = grmi.NewField("PickingFlag", "Article.PickingFlag", "pickingflag", grmi.TypeString)
var Article_Prefix = grmi.NewField("Prefix", "Article.Prefix", "prefix", grmi.TypeString)
var Article_BackFlushItemToggle = grmi.NewField("BackFlushItemToggle", "Article.BackFlushItemToggle", "backflushitemtoggle", grmi.TypeBool)
var Article_CriticalItem = grmi.NewField("CriticalItem", "Article.CriticalItem", "criticalitem", grmi.TypeBool)
var Article_Version = grmi.NewField("Version", "Article.Version", "version", grmi.TypeString)
var Article_LastModify = grmi.NewField("LastModify", "Article.LastModify", "lastmodify", grmi.TypeDateTime)
var Article_LastUser = grmi.NewField("LastUser", "Article.LastUser", "lastuser", grmi.TypeString)
var Article_CreateTime = grmi.NewField("CreateTime", "Article.CreateTime", "createtime", grmi.TypeDateTime)

/******************************************************************************
 *
 * @Description              : Article的元数据
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-05-06 15:52:37
 *
 ******************************************************************************/
var Article = grmi.NewEntity(
	"Article",
	func() interface{} { return &model.Article{} },
	map[string]grmi.Field{
		Article_PlantNr.Name:              Article_PlantNr,
		Article_ArtId.Name:                Article_ArtId,
		Article_Descr1.Name:               Article_Descr1,
		Article_Descr2.Name:               Article_Descr2,
		Article_ArtTypeId.Name:            Article_ArtTypeId,
		Article_ProjectId.Name:            Article_ProjectId,
		Article_CustArtId.Name:            Article_CustArtId,
		Article_AlternativeArtId.Name:     Article_AlternativeArtId,
		Article_PlanResourceGroupId.Name:  Article_PlanResourceGroupId,
		Article_PlanResourceId.Name:       Article_PlanResourceId,
		Article_UsedResourceId.Name:       Article_UsedResourceId,
		Article_UomId.Name:                Article_UomId,
		Article_PlanScrapRate.Name:        Article_PlanScrapRate,
		Article_RatePerHourToggle.Name:    Article_RatePerHourToggle,
		Article_TimePerItemToggle.Name:    Article_TimePerItemToggle,
		Article_TimePerBatchToggle.Name:   Article_TimePerBatchToggle,
		Article_BatchTimeFieldToggle.Name: Article_BatchTimeFieldToggle,
		Article_OpTimePerItem.Name:        Article_OpTimePerItem,
		Article_BatchTime.Name:            Article_BatchTime,
		Article_QuantityPerHour.Name:      Article_QuantityPerHour,
		Article_MidBatchQuantity.Name:     Article_MidBatchQuantity,
		Article_MidBatchTime.Name:         Article_MidBatchTime,
		Article_EffectiveOpTime.Name:      Article_EffectiveOpTime,
		Article_BatchingMethod.Name:       Article_BatchingMethod,
		Article_DeliveryBuffer.Name:       Article_DeliveryBuffer,
		Article_Icon.Name:                 Article_Icon,
		Article_DisplayColor.Name:         Article_DisplayColor,
		Article_Document.Name:             Article_Document,
		Article_DefaultRoute.Name:         Article_DefaultRoute,
		Article_DefaultInspectPlanId.Name: Article_DefaultInspectPlanId,
		Article_LotSize.Name:              Article_LotSize,
		Article_PickingToggle.Name:        Article_PickingToggle,
		Article_ABCClass.Name:             Article_ABCClass,
		Article_ArtSize1.Name:             Article_ArtSize1,
		Article_ArtSize2.Name:             Article_ArtSize2,
		Article_ArtSize3.Name:             Article_ArtSize3,
		Article_ArtSize4.Name:             Article_ArtSize4,
		Article_ArtSize5.Name:             Article_ArtSize5,
		Article_ArtSpec1.Name:             Article_ArtSpec1,
		Article_ArtSpec2.Name:             Article_ArtSpec2,
		Article_ArtSpec3.Name:             Article_ArtSpec3,
		Article_ArtSpec4.Name:             Article_ArtSpec4,
		Article_ArtSpec5.Name:             Article_ArtSpec5,
		Article_PickingFlag.Name:          Article_PickingFlag,
		Article_Prefix.Name:               Article_Prefix,
		Article_BackFlushItemToggle.Name:  Article_BackFlushItemToggle,
		Article_CriticalItem.Name:         Article_CriticalItem,
		Article_Version.Name:              Article_Version,
		Article_LastModify.Name:           Article_LastModify,
		Article_LastUser.Name:             Article_LastUser,
		Article_CreateTime.Name:           Article_CreateTime,
	},
	[]string{"PlantNr"},
	[]string{"Descr1", "Descr2", "ArtTypeId", "CustArtId", "AlternativeArtId", "PlanResourceGroupId", "PlanResourceId", "UsedResourceId", "UomId", "PlanScrapRate", "RatePerHourToggle", "TimePerItemToggle", "TimePerBatchToggle", "BatchTimeFieldToggle", "OpTimePerItem", "BatchTime", "QuantityPerHour", "MidBatchQuantity", "MidBatchTime", "EffectiveOpTime", "BatchingMethod", "DeliveryBuffer", "Icon", "DisplayColor", "Document", "DefaultRoute", "DefaultInspectPlanId", "LotSize", "ABCClass", "PickingToggle", "ArtSize1", "ArtSize2", "ArtSize3", "ArtSize4", "ArtSize5", "ArtSpec1", "ArtSpec2", "ArtSpec3", "ArtSpec4", "ArtSpec5", "Prefix", "BackFlushItemToggle", "CriticalItem", "Version", "LastUser"})
